Bug 181772 - lang/hiphop-php fails to build with libgd-2.1
lang/hiphop-php fails to build with libgd-2.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Matuska
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 04:10 UTC by rdeiriar
Modified: 2014-02-22 13:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rdeiriar 2013-09-03 04:10:00 UTC
lang/hiphop-php fails to build with the newly updated graphics/gd (libgd-2.1) in ports.

Fix: 

Revert back to gd-2.0.35 (Rev. 320987)
How-To-Repeat: Update ports to last revision. 
Rebuild graphics/gd 
Build lang/hiphop-php
Comment 1 Edwin Groothuis freebsd_committer 2013-09-03 04:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 dfilter freebsd_committer 2013-09-04 22:30:58 UTC
Author: mm
Date: Wed Sep  4 21:30:50 2013
New Revision: 326329
URL: http://svnweb.freebsd.org/changeset/ports/326329

Log:
  Fix build with gd 2.1
  
  PR:	ports/181772

Added:
  head/lang/hiphop-php/files/patch-hphp-runtime-ext-ext_image.cpp   (contents, props changed)
  head/lang/hiphop-php/files/patch-hphp-util-parser-parser.cpp   (contents, props changed)
Modified:
  head/lang/hiphop-php/Makefile

Modified: head/lang/hiphop-php/Makefile
==============================================================================
--- head/lang/hiphop-php/Makefile	Wed Sep  4 21:15:21 2013	(r326328)
+++ head/lang/hiphop-php/Makefile	Wed Sep  4 21:30:50 2013	(r326329)
@@ -3,7 +3,7 @@
 
 PORTNAME=	hiphop-php
 PORTVERSION=	2.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	lang devel www
 MASTER_SITES=	https://github.com/facebook/hiphop-php/archive/:main \
 		http://unicode.org/Public/UNIDATA/:unidata \

Added: head/lang/hiphop-php/files/patch-hphp-runtime-ext-ext_image.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/hiphop-php/files/patch-hphp-runtime-ext-ext_image.cpp	Wed Sep  4 21:30:50 2013	(r326329)
@@ -0,0 +1,63 @@
+diff --git a/hphp/runtime/ext/ext_image.cpp b/hphp/runtime/ext/ext_image.cpp
+index 3f471a3..7793ee3 100644
+--- a/hphp/runtime/ext/ext_image.cpp
++++ hphp/runtime/ext/ext_image.cpp
+@@ -2351,11 +2351,11 @@ static const char php_sig_gd2[3] = {'g', 'd', '2'};
+    ** This way you gain a lot of flexibilty about how this package
+    ** reads a wbmp file.
+  */
+-static int getmbi(int (*getin) (void *in), void *in) {
++static int getmbi(gdIOCtx *ctx) {
+   int i, mbi = 0;
+ 
+   do {
+-    i = getin (in);
++    i = (ctx->getC)(ctx);
+     if (i < 0)
+       return (-1);
+     mbi = (mbi << 7) | (i & 0x7f);
+@@ -2369,11 +2369,11 @@ static int getmbi(int (*getin) (void *in), void *in) {
+    ** Skips the ExtHeader. Not needed for the moment
+    **
+  */
+-int skipheader (int (*getin) (void *in), void *in) {
++int skipheader (gdIOCtx *ctx) {
+   int i;
+ 
+   do {
+-    i = getin (in);
++    i = (ctx->getC)(ctx);
+     if (i < 0) return (-1);
+   }
+   while (i & 0x80);
+@@ -2404,8 +2404,8 @@ static int _php_image_type (char data[8]) {
+     gdIOCtx *io_ctx;
+     io_ctx = gdNewDynamicCtxEx(8, data, 0);
+     if (io_ctx) {
+-      if (getmbi((int(*)(void *)) gdGetC, io_ctx) == 0 &&
+-          skipheader((int(*)(void *)) gdGetC, io_ctx) == 0 ) {
++      if (getmbi(io_ctx) == 0 &&
++          skipheader(io_ctx) == 0 ) {
+ #if HAVE_LIBGD204
+         io_ctx->gd_free(io_ctx);
+ #else
+@@ -4200,8 +4200,8 @@ bool f_imagefilter(CResRef image, int filtertype,
+   (src->trueColor?gdImageGetTrueColorPixel:gdImageGetPixel)
+ #endif
+ 
+-static int gdImageConvolution(gdImagePtr src, float filter[3][3],
+-                              float filter_div, float offset) {
++static int hphp_gdImageConvolution(gdImagePtr src, float filter[3][3],
++                                   float filter_div, float offset) {
+   int x, y, i, j, new_a;
+   float new_r, new_g, new_b;
+   int new_pxl, pxl=0;
+@@ -4290,7 +4290,7 @@ bool f_imageconvolution(CResRef image, CArrRef matrix,
+       }
+     }
+   }
+-  if (gdImageConvolution(im_src, mtx, div, offset)) {
++  if (hphp_gdImageConvolution(im_src, mtx, div, offset)) {
+     return true;
+   } else {
+     return false;

Added: head/lang/hiphop-php/files/patch-hphp-util-parser-parser.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/hiphop-php/files/patch-hphp-util-parser-parser.cpp	Wed Sep  4 21:30:50 2013	(r326329)
@@ -0,0 +1,12 @@
+diff --git a/hphp/util/parser/parser.cpp b/hphp/util/parser/parser.cpp
+index 72c11bb..0132a4b 100644
+--- a/hphp/util/parser/parser.cpp
++++ hphp/util/parser/parser.cpp
+@@ -186,6 +186,7 @@ void ParserBase::addLabel(const std::string &label,
+   labelInfo.scopeId         = info.scopes.back();
+   labelInfo.stmt            = extractStatement(stmt);
+   labelInfo.loc             = loc;
++  labelInfo.inTryCatchBlock = false;
+   info.labels[label]        = labelInfo;
+ }
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Antoine Brodin freebsd_committer 2014-02-22 13:19:35 UTC
State Changed
From-To: open->closed

Close as a patch was committed